> ## Documentation Index
> Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Join filestore cluster

> Signs CSR for filestore node



## OpenAPI

````yaml /api-reference/gns3util-master-api-docs.json post /api/v1/cluster/join/filestore
openapi: 3.0.0
info:
  description: API for gns3util cluster management
  title: gns3util cluster master API
  contact: {}
  version: '1.0'
servers: []
security: []
paths:
  /api/v1/cluster/join/filestore:
    post:
      tags:
        - cluster
      summary: Join filestore cluster
      description: Signs CSR for filestore node
      parameters:
        - description: Bearer JOIN_TOKEN
          name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.JoinFilestoreRequest'
        description: Join request with CSR
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.JoinFilestoreResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
components:
  schemas:
    models.JoinFilestoreRequest:
      type: object
      properties:
        api_port:
          type: integer
        csr:
          type: string
        id:
          type: string
        ip_address:
          type: string
    models.JoinFilestoreResponse:
      type: object
      properties:
        ca_cert:
          type: string
        node_cert:
          type: string
    helpers.APIErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: unauthorized
        details:
          type: string
          example: invalid or missing join token
        error:
          type: string
          example: Unauthorized

````